#include "shutdown.h"
#include <stdio.h>

#include <allegro.h>
#include "global.h"

void Shutdown()
{
    fade_out(5);
    set_gfx_mode(GFX_TEXT, 80, 25, 80, 25);
    destroy_bitmap(screenbmp);
    destroy_bitmap(oldscreenbmp);
    destroy_bitmap(menubmp);
    destroy_bitmap(tilebmp);
    destroy_bitmap(tile[250]);
    destroy_font(font);
    printf("Graphics Unloaded\n");
    remove_keyboard();
    printf("Keyboard Routines Removed\n");
    remove_timer();
    printf("Timer Routines Removed\n");
    printf("Final Fantasy Zero --> Build Pre Alpha .05 <---\n");
    printf("(c) 1998 Justin Heiner\n");
    allegro_exit();

}

void die (char *reason,...)
{
  set_gfx_mode (GFX_TEXT, 80, 25, 80, 25);
  printf("%s",reason);
  allegro_exit();
  exit (1);

}
